#  Copyright 2024 Palantir Technologies, Inc.
#
#  Licensed under the Apache License, Version 2.0 (the "License");
#  you may not use this file except in compliance with the License.
#  You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.

from logging import Formatter

from .common import COMPUTE_MODULES_ADAPTER_MANAGER, ComputeModulesLoggerAdapter, _setup_logger_formatter


def setup_logger_formatter(formatter: Formatter) -> None:
    _setup_logger_formatter(formatter)


def get_logger(name: str) -> ComputeModulesLoggerAdapter:
    """Creates a logger instance for use within a compute module"""
    return COMPUTE_MODULES_ADAPTER_MANAGER.get_logger(name)


__all__ = [
    "get_logger",
    "setup_logger_formatter",
]
